searchData={"items":[{"type":"module","title":"RiotGames","doc":"","ref":"RiotGames.html"},{"type":"function","title":"RiotGames.account_by_puuid/2","doc":"Fetches a Riot Games account by its PUUID.","ref":"RiotGames.html#account_by_puuid/2"},{"type":"function","title":"Required - RiotGames.account_by_puuid/2","doc":"* `region` - The region to fetch the account from.\n* `puuid` - The PUUID of the account to fetch.","ref":"RiotGames.html#account_by_puuid/2-required"},{"type":"function","title":"RiotGames.account_by_riot_id/3","doc":"Fetches a Riot Games account by its Riot ID.","ref":"RiotGames.html#account_by_riot_id/3"},{"type":"function","title":"Required - RiotGames.account_by_riot_id/3","doc":"* `region` - The region to fetch the account from.\n* `game_name` - The game name of the account to fetch.\n* `tag_line` - The tag line of the account to fetch.","ref":"RiotGames.html#account_by_riot_id/3-required"},{"type":"function","title":"RiotGames.active_shard/3","doc":"Fetches the active shard for a Riot Games account.","ref":"RiotGames.html#active_shard/3"},{"type":"function","title":"Required - RiotGames.active_shard/3","doc":"* `region` - The region to fetch the active shard for.\n* `game` - The game to fetch the active shard for. Valid values are `val`, or `lor`\n* `puuid` - The PUUID of the account to fetch the active shard for.","ref":"RiotGames.html#active_shard/3-required"},{"type":"function","title":"RiotGames.get/4","doc":"Fetches an endpoint for Riot Games' API.","ref":"RiotGames.html#get/4"},{"type":"function","title":"Required - RiotGames.get/4","doc":"* `region` - The region to fetch the endpoint from.\n* `path` - The path to fetch the endpoint from.","ref":"RiotGames.html#get/4-required"},{"type":"function","title":"Optional - RiotGames.get/4","doc":"* `path_params` - The path parameters to use in the endpoint.\n* `params` - The query parameters to use in the endpoint.","ref":"RiotGames.html#get/4-optional"},{"type":"function","title":"RiotGames.start/2","doc":"","ref":"RiotGames.html#start/2"},{"type":"module","title":"RiotGames.LeagueOfLegends","doc":"","ref":"RiotGames.LeagueOfLegends.html"},{"type":"function","title":"RiotGames.LeagueOfLegends.active_game_by_summoner/2","doc":"Fetches the active game of a summoner.","ref":"RiotGames.LeagueOfLegends.html#active_game_by_summoner/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.active_game_by_summoner/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#active_game_by_summoner/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenge_config/2","doc":"Fetches a challenge configuration","ref":"RiotGames.LeagueOfLegends.html#challenge_config/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenge_config/2","doc":"* `region` - The region to fetch content for.\n* `challenge_id` - The challenge ID.","ref":"RiotGames.LeagueOfLegends.html#challenge_config/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenge_leaderboard/4","doc":"Fetches a challenge leaderboard","ref":"RiotGames.LeagueOfLegends.html#challenge_leaderboard/4"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenge_leaderboard/4","doc":"* `region` - The region to fetch content for.\n* `challenge_id` - The challenge ID.\n* `level` - The challenge level. Valid values: MASTER, GRANDMASTER, and CHALLENGER","ref":"RiotGames.LeagueOfLegends.html#challenge_leaderboard/4-required"},{"type":"function","title":"Optional - RiotGames.LeagueOfLegends.challenge_leaderboard/4","doc":"* `limit` - The number of entries to fetch.","ref":"RiotGames.LeagueOfLegends.html#challenge_leaderboard/4-optional"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenger_league/2","doc":"Fetches the challenger league for a queue.","ref":"RiotGames.LeagueOfLegends.html#challenger_league/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenger_league/2","doc":"* `region` - The region to fetch content for.\n* `queue` - The queue type. Valid values: RANKED_SOLO_5x5, RANKED_FLEX_SR, RANKED_FLEX_TT, RANKED_TFT","ref":"RiotGames.LeagueOfLegends.html#challenger_league/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenges_by_player/2","doc":"Fetches a list of all challenges for a given player","ref":"RiotGames.LeagueOfLegends.html#challenges_by_player/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenges_by_player/2","doc":"* `region` - The region of the player.\n* `puuid` - The player ID.","ref":"RiotGames.LeagueOfLegends.html#challenges_by_player/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenges_config/1","doc":"Fetches a list of all basic challenge configuration information","ref":"RiotGames.LeagueOfLegends.html#challenges_config/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenges_config/1","doc":"* `region` - The region to fetch content for.","ref":"RiotGames.LeagueOfLegends.html#challenges_config/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.challenges_percentiles/1","doc":"Fetches a map of level to percentile of players who have achieved it.","ref":"RiotGames.LeagueOfLegends.html#challenges_percentiles/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.challenges_percentiles/1","doc":"* `region` - The region to fetch content for.","ref":"RiotGames.LeagueOfLegends.html#challenges_percentiles/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.champion_masteries/2","doc":"Fetches the champion masteries of a summoner.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.champion_masteries/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.champion_masteries_score/2","doc":"Fetches the champion masteries score of a summoner.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries_score/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.champion_masteries_score/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries_score/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.champion_masteries_top/3","doc":"Fetches the top champion masteries of a summoner.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries_top/3"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.champion_masteries_top/3","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries_top/3-required"},{"type":"function","title":"Optional - RiotGames.LeagueOfLegends.champion_masteries_top/3","doc":"* `count` - The number of top champion masteries to fetch. Defaults to 3.","ref":"RiotGames.LeagueOfLegends.html#champion_masteries_top/3-optional"},{"type":"function","title":"RiotGames.LeagueOfLegends.champion_mastery/3","doc":"Fetches the champion mastery score of a summoner.","ref":"RiotGames.LeagueOfLegends.html#champion_mastery/3"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.champion_mastery/3","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.\n* `champion_id` - The champion ID.","ref":"RiotGames.LeagueOfLegends.html#champion_mastery/3-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.champion_rotations/1","doc":"Fetches the champion rotations","ref":"RiotGames.LeagueOfLegends.html#champion_rotations/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.champion_rotations/1","doc":"* `region` - The region to fetch content for.","ref":"RiotGames.LeagueOfLegends.html#champion_rotations/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.chellenge_percentile/2","doc":"Fetches a map of level to percentile of players who have achieved it for a challenge","ref":"RiotGames.LeagueOfLegends.html#chellenge_percentile/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.chellenge_percentile/2","doc":"* `region` - The region to fetch content for.\n* `challenge_id` - The challenge ID.","ref":"RiotGames.LeagueOfLegends.html#chellenge_percentile/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_player_by_puuid/2","doc":"Fetches a clash player by puuid.","ref":"RiotGames.LeagueOfLegends.html#clash_player_by_puuid/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_player_by_puuid/2","doc":"* `region` - The region of the player.\n* `puuid` - The player ID.","ref":"RiotGames.LeagueOfLegends.html#clash_player_by_puuid/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_player_by_summoner_id/2","doc":"Fetches a clash player by summoner ID.","ref":"RiotGames.LeagueOfLegends.html#clash_player_by_summoner_id/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_player_by_summoner_id/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#clash_player_by_summoner_id/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_team/2","doc":"Fetches a clash team by ID.","ref":"RiotGames.LeagueOfLegends.html#clash_team/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_team/2","doc":"* `region` - The region of the team.\n* `team_id` - The team ID.","ref":"RiotGames.LeagueOfLegends.html#clash_team/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_tournament/2","doc":"Fetches clash tournament by tournament ID.","ref":"RiotGames.LeagueOfLegends.html#clash_tournament/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_tournament/2","doc":"* `region` - The region of the tournament.\n* `tournament_id` - The tournament ID.","ref":"RiotGames.LeagueOfLegends.html#clash_tournament/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_tournaments/1","doc":"Fetches clash tournaments.","ref":"RiotGames.LeagueOfLegends.html#clash_tournaments/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_tournaments/1","doc":"* `region` - The region of the tournaments.","ref":"RiotGames.LeagueOfLegends.html#clash_tournaments/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.clash_tournaments_by_team/2","doc":"Fetches clash tournaments by team ID.","ref":"RiotGames.LeagueOfLegends.html#clash_tournaments_by_team/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.clash_tournaments_by_team/2","doc":"* `region` - The region of the team.\n* `team_id` - The team ID.","ref":"RiotGames.LeagueOfLegends.html#clash_tournaments_by_team/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.featured_games/1","doc":"Fetches a list of featured games.","ref":"RiotGames.LeagueOfLegends.html#featured_games/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.featured_games/1","doc":"* `region` - The region of the games.","ref":"RiotGames.LeagueOfLegends.html#featured_games/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.grandmaster_league/2","doc":"Fetches the grandmaster league for a queue.","ref":"RiotGames.LeagueOfLegends.html#grandmaster_league/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.grandmaster_league/2","doc":"* `region` - The region of the league.\n* `queue` - The queue type. Valid values: RANKED_SOLO_5x5, RANKED_FLEX_SR, RANKED_FLEX_TT","ref":"RiotGames.LeagueOfLegends.html#grandmaster_league/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.league/2","doc":"Fetches a league with given ID.","ref":"RiotGames.LeagueOfLegends.html#league/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.league/2","doc":"* `region` - The region of the league.\n* `league_id` - The league ID.","ref":"RiotGames.LeagueOfLegends.html#league/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.league_entries/5","doc":"Fetches all the league entries","ref":"RiotGames.LeagueOfLegends.html#league_entries/5"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.league_entries/5","doc":"* `region` - The region of the league.\n* `queue` - The queue type. Valid values: RANKED_SOLO_5x5, RANKED_FLEX_SR, RANKED_FLEX_TT\n* `tier` - The tier type. Valid values: CHALLENGER, GRANDMASTER, MASTER, DIAMOND, PLATINUM, GOLD, SILVER, BRONZE, IRON\n* `division` - The division type. Valid values: I, II, III, IV","ref":"RiotGames.LeagueOfLegends.html#league_entries/5-required"},{"type":"function","title":"Optional - RiotGames.LeagueOfLegends.league_entries/5","doc":"* `page` - The page to use for pagination. Defaults to 1.","ref":"RiotGames.LeagueOfLegends.html#league_entries/5-optional"},{"type":"function","title":"RiotGames.LeagueOfLegends.master_league/2","doc":"Fetches the master league for a queue.","ref":"RiotGames.LeagueOfLegends.html#master_league/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.master_league/2","doc":"* `region` - The region of the league.\n* `queue` - The queue type. Valid values: RANKED_SOLO_5x5, RANKED_FLEX_SR, RANKED_FLEX_TT","ref":"RiotGames.LeagueOfLegends.html#master_league/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.match/2","doc":"Fetches a match by match ID.","ref":"RiotGames.LeagueOfLegends.html#match/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.match/2","doc":"* `region` - The region of the match. Valid values: \"americas\", \"asia\", \"europe\", and \"sea\".\n* `match_id` - The match ID.","ref":"RiotGames.LeagueOfLegends.html#match/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.match_timeline/2","doc":"Fetches a match timeline by match ID.","ref":"RiotGames.LeagueOfLegends.html#match_timeline/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.match_timeline/2","doc":"* `region` - The region of the match. Valid values: \"americas\", \"asia\", \"europe\", and \"sea\".\n* `match_id` - The match ID.","ref":"RiotGames.LeagueOfLegends.html#match_timeline/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.matches_by_player/3","doc":"Fetches a list of match IDs for a player.","ref":"RiotGames.LeagueOfLegends.html#matches_by_player/3"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.matches_by_player/3","doc":"* `region` - The region of the player. Valid values: \"americas\", \"asia\", \"europe\", and \"sea\".\n* `puuid` - The player puuid.","ref":"RiotGames.LeagueOfLegends.html#matches_by_player/3-required"},{"type":"function","title":"Optional - RiotGames.LeagueOfLegends.matches_by_player/3","doc":"* `startTime` - The start time to use for filtering match IDs.\n* `endTime` - The end time to use for filtering match IDs.\n* `queue` - The queue to use for filtering match IDs.\n* `type` - The type to use for filtering match IDs.\n* `start` - The start index to use for filtering match IDs.\n* `count` - The count to use for filtering match IDs.","ref":"RiotGames.LeagueOfLegends.html#matches_by_player/3-optional"},{"type":"function","title":"RiotGames.LeagueOfLegends.status/1","doc":"Fetches the status of the platform.","ref":"RiotGames.LeagueOfLegends.html#status/1"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.status/1","doc":"* `region` - The region to status of.","ref":"RiotGames.LeagueOfLegends.html#status/1-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.summoner_by_account_id/2","doc":"Fetches a summoner by account ID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_account_id/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.summoner_by_account_id/2","doc":"* `region` - The region of the summoner.\n* `account_id` - The account ID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_account_id/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.summoner_by_id/2","doc":"Fetches a summoner by summoner ID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_id/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.summoner_by_id/2","doc":"* `region` - The region of the summoner.\n* `id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_id/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.summoner_by_name/2","doc":"Fetches a summoner by name.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_name/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.summoner_by_name/2","doc":"* `region` - The region of the summoner.\n* `name` - The summoner name.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_name/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.summoner_by_puuid/2","doc":"Fetches a summoner by PUUID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_puuid/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.summoner_by_puuid/2","doc":"* `region` - The region of the summoner.\n* `puuid` - The summoner PUUID.","ref":"RiotGames.LeagueOfLegends.html#summoner_by_puuid/2-required"},{"type":"function","title":"RiotGames.LeagueOfLegends.summoner_leagues/2","doc":"Fetches the leagues of a summoner.","ref":"RiotGames.LeagueOfLegends.html#summoner_leagues/2"},{"type":"function","title":"Required - RiotGames.LeagueOfLegends.summoner_leagues/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner ID.","ref":"RiotGames.LeagueOfLegends.html#summoner_leagues/2-required"},{"type":"module","title":"RiotGames.LegendsOfRuneterra","doc":"","ref":"RiotGames.LegendsOfRuneterra.html"},{"type":"function","title":"RiotGames.LegendsOfRuneterra.match/2","doc":"Fetches match by id.","ref":"RiotGames.LegendsOfRuneterra.html#match/2"},{"type":"function","title":"Required - RiotGames.LegendsOfRuneterra.match/2","doc":"* `region` - The region of the match.\n* `match_id` - The match id to fetch.","ref":"RiotGames.LegendsOfRuneterra.html#match/2-required"},{"type":"function","title":"RiotGames.LegendsOfRuneterra.matches_by_player/2","doc":"Fetches matches by puuid.","ref":"RiotGames.LegendsOfRuneterra.html#matches_by_player/2"},{"type":"function","title":"Required - RiotGames.LegendsOfRuneterra.matches_by_player/2","doc":"* `region` - The region of the matches.\n* `puuid` - The puuid to fetch matches for.","ref":"RiotGames.LegendsOfRuneterra.html#matches_by_player/2-required"},{"type":"function","title":"RiotGames.LegendsOfRuneterra.ranked_leaderboard/1","doc":"Fetches the ranked leaderboard.","ref":"RiotGames.LegendsOfRuneterra.html#ranked_leaderboard/1"},{"type":"function","title":"Required - RiotGames.LegendsOfRuneterra.ranked_leaderboard/1","doc":"* `region` - The region of the leaderboard.","ref":"RiotGames.LegendsOfRuneterra.html#ranked_leaderboard/1-required"},{"type":"function","title":"RiotGames.LegendsOfRuneterra.status/1","doc":"Fetches the status of the platform.","ref":"RiotGames.LegendsOfRuneterra.html#status/1"},{"type":"function","title":"Required - RiotGames.LegendsOfRuneterra.status/1","doc":"* `region` - The region to of the platform.","ref":"RiotGames.LegendsOfRuneterra.html#status/1-required"},{"type":"module","title":"RiotGames.TeamfightTactics","doc":"","ref":"RiotGames.TeamfightTactics.html"},{"type":"function","title":"RiotGames.TeamfightTactics.challenger_league/1","doc":"Fetches the challenger league.","ref":"RiotGames.TeamfightTactics.html#challenger_league/1"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.challenger_league/1","doc":"* `region` - The region of the challenger league.","ref":"RiotGames.TeamfightTactics.html#challenger_league/1-required"},{"type":"function","title":"RiotGames.TeamfightTactics.grandmaster_league/1","doc":"Fetches the grandmaster league.","ref":"RiotGames.TeamfightTactics.html#grandmaster_league/1"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.grandmaster_league/1","doc":"* `region` - The region of the grandmaster league.","ref":"RiotGames.TeamfightTactics.html#grandmaster_league/1-required"},{"type":"function","title":"RiotGames.TeamfightTactics.league/2","doc":"Fetches the league by id.","ref":"RiotGames.TeamfightTactics.html#league/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.league/2","doc":"* `region` - The region of the league.\n* `league_id` - The league id to fetch.","ref":"RiotGames.TeamfightTactics.html#league/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.league_by_summoner/2","doc":"Fetches the league by summoner id.","ref":"RiotGames.TeamfightTactics.html#league_by_summoner/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.league_by_summoner/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner id to fetch.","ref":"RiotGames.TeamfightTactics.html#league_by_summoner/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.league_entries/4","doc":"Fetches the league entries in a tier and division.","ref":"RiotGames.TeamfightTactics.html#league_entries/4"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.league_entries/4","doc":"* `region` - The region of the league.\n* `tier` - The tier to fetch.\n* `division` - The division to fetch.","ref":"RiotGames.TeamfightTactics.html#league_entries/4-required"},{"type":"function","title":"Optional - RiotGames.TeamfightTactics.league_entries/4","doc":"* `page` - The page to fetch.","ref":"RiotGames.TeamfightTactics.html#league_entries/4-optional"},{"type":"function","title":"RiotGames.TeamfightTactics.master_league/1","doc":"Fetches the master league.","ref":"RiotGames.TeamfightTactics.html#master_league/1"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.master_league/1","doc":"* `region` - The region of the master league.","ref":"RiotGames.TeamfightTactics.html#master_league/1-required"},{"type":"function","title":"RiotGames.TeamfightTactics.match/2","doc":"Fetches the match by id.","ref":"RiotGames.TeamfightTactics.html#match/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.match/2","doc":"* `region` - The region of the match.\n* `match_id` - The match id to fetch.","ref":"RiotGames.TeamfightTactics.html#match/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.matches_by_player/3","doc":"Fetches a list of match IDs for a player.","ref":"RiotGames.TeamfightTactics.html#matches_by_player/3"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.matches_by_player/3","doc":"* `region` - The region of the player.\n* `puuid` - The player ID.","ref":"RiotGames.TeamfightTactics.html#matches_by_player/3-required"},{"type":"function","title":"Optional - RiotGames.TeamfightTactics.matches_by_player/3","doc":"* `startTime` - The start time to use for filtering match IDs.\n* `endTime` - The end time to use for filtering match IDs.\n* `queue` - The queue to use for filtering match IDs.\n* `type` - The type to use for filtering match IDs.\n* `start` - The start index to use for filtering match IDs.\n* `count` - The count to use for filtering match IDs.","ref":"RiotGames.TeamfightTactics.html#matches_by_player/3-optional"},{"type":"function","title":"RiotGames.TeamfightTactics.status/1","doc":"Fetches the status of the platform.","ref":"RiotGames.TeamfightTactics.html#status/1"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.status/1","doc":"* `region` - The region of the platform.","ref":"RiotGames.TeamfightTactics.html#status/1-required"},{"type":"function","title":"RiotGames.TeamfightTactics.summoner_by_account_id/2","doc":"Fetches the summoner by account id.","ref":"RiotGames.TeamfightTactics.html#summoner_by_account_id/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.summoner_by_account_id/2","doc":"* `region` - The region of the summoner.\n* `account_id` - The account id to fetch.","ref":"RiotGames.TeamfightTactics.html#summoner_by_account_id/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.summoner_by_id/2","doc":"Fetches the summoner by summoner id.","ref":"RiotGames.TeamfightTactics.html#summoner_by_id/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.summoner_by_id/2","doc":"* `region` - The region of the summoner.\n* `summoner_id` - The summoner id to fetch.","ref":"RiotGames.TeamfightTactics.html#summoner_by_id/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.summoner_by_name/2","doc":"Fetches the summoner by name.","ref":"RiotGames.TeamfightTactics.html#summoner_by_name/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.summoner_by_name/2","doc":"* `region` - The region of the summoner.\n* `name` - The name to fetch.","ref":"RiotGames.TeamfightTactics.html#summoner_by_name/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.summoner_by_puuid/2","doc":"Fetches the summoner by puuid.","ref":"RiotGames.TeamfightTactics.html#summoner_by_puuid/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.summoner_by_puuid/2","doc":"* `region` - The region of the summoner.\n* `puuid` - The puuid to fetch.","ref":"RiotGames.TeamfightTactics.html#summoner_by_puuid/2-required"},{"type":"function","title":"RiotGames.TeamfightTactics.top_rated_ladder/2","doc":"Fetches the top rated ladder for a queue.","ref":"RiotGames.TeamfightTactics.html#top_rated_ladder/2"},{"type":"function","title":"Required - RiotGames.TeamfightTactics.top_rated_ladder/2","doc":"* `region` - The region of the ladder.\n* `queue_id` - The queue id to fetch the top rated ladder for.","ref":"RiotGames.TeamfightTactics.html#top_rated_ladder/2-required"},{"type":"module","title":"RiotGames.Valorant","doc":"","ref":"RiotGames.Valorant.html"},{"type":"function","title":"RiotGames.Valorant.content/2","doc":"Fetches valorant content.","ref":"RiotGames.Valorant.html#content/2"},{"type":"function","title":"Required - RiotGames.Valorant.content/2","doc":"* `region` - The region to fetch content for.","ref":"RiotGames.Valorant.html#content/2-required"},{"type":"function","title":"Optional - RiotGames.Valorant.content/2","doc":"* `locale` - The locale to fetch content for.","ref":"RiotGames.Valorant.html#content/2-optional"},{"type":"function","title":"RiotGames.Valorant.match/2","doc":"Fetches match by id.","ref":"RiotGames.Valorant.html#match/2"},{"type":"function","title":"Required - RiotGames.Valorant.match/2","doc":"* `region` - The region of the match.\n* `match_id` - The match id to fetch.","ref":"RiotGames.Valorant.html#match/2-required"},{"type":"function","title":"RiotGames.Valorant.matchlist/2","doc":"Fetches matchlist by puuid.","ref":"RiotGames.Valorant.html#matchlist/2"},{"type":"function","title":"Required - RiotGames.Valorant.matchlist/2","doc":"* `region` - The region of the matchlist.\n* `puuid` - The puuid to fetch matchlist for.","ref":"RiotGames.Valorant.html#matchlist/2-required"},{"type":"function","title":"RiotGames.Valorant.ranked_leaderboard/3","doc":"Fetches leaderboard by act id.","ref":"RiotGames.Valorant.html#ranked_leaderboard/3"},{"type":"function","title":"Required - RiotGames.Valorant.ranked_leaderboard/3","doc":"* `region` - The region of the leaderboard.\n* `act_id` - The act id to fetch leaderboard for.","ref":"RiotGames.Valorant.html#ranked_leaderboard/3-required"},{"type":"function","title":"Optional - RiotGames.Valorant.ranked_leaderboard/3","doc":"* `size` - The number of entries to fetch.\n* `startIndex` - The index to start fetching entries from.","ref":"RiotGames.Valorant.html#ranked_leaderboard/3-optional"},{"type":"function","title":"RiotGames.Valorant.recent_matches/2","doc":"Fetches recent matches by queue id.","ref":"RiotGames.Valorant.html#recent_matches/2"},{"type":"function","title":"Required - RiotGames.Valorant.recent_matches/2","doc":"* `region` - The region of the recent matches.\n* `queue_id` - The queue id to fetch recent matches for.","ref":"RiotGames.Valorant.html#recent_matches/2-required"},{"type":"function","title":"RiotGames.Valorant.status/1","doc":"Fetches the status of the platform.","ref":"RiotGames.Valorant.html#status/1"},{"type":"function","title":"Required - RiotGames.Valorant.status/1","doc":"* `region` - The region of the platform.","ref":"RiotGames.Valorant.html#status/1-required"}],"content_type":"text/markdown"}